<?php

error_reporting(E_ALL);

session_start();

require_once("config.php");

require_once(ABSPATH."includes/mysql.class.php");

if(!isset($_POST["module"])) { $_POST["module"] = ""; }


/*
 * Choose option
 */
switch($_POST["module"]) {
	case "get_comments": get_comments();
		break;
	case "insert_comment": insert_comment();
		break;
	default: echo"Error:";
		break;
}

/*
 * get_comments()
 */
function get_comments() {
	$conn = new MySQL();

	$comments = $conn->select("SELECT comment_id
								     ,comment_text
									 ,comment_date
									 ,user_id comment_autorid
									 ,user_nickname comment_autor
							   FROM ".DB_TBLPRE."comment com
							   JOIN ".DB_TBLPRE."user us ON us.user_id = com.comment_useridfs
							   WHERE comment_movieidfs = '".mysql_real_escape_string(strip_tags($_POST["movieid"]))."'
							   ORDER BY comment_date");
	
	if(count($comments) > 0) {
		foreach($comments as $comment) {
			echo "<div class=\"newest\"><a href=\"show.php?module=user&amp;user=".$comment->comment_autorid."\"><strong>".htmlentities(stripslashes($comment->comment_autor))."</strong></a> ".date('\a\m d.m.Y \u\m H:i',$comment->comment_date)."<p style=\"margin-left:2px;\">".nl2br(htmlentities(stripslashes($comment->comment_text)))."</p></div>";
		}
	} else {
		echo"<div class=\"newest\"><p><em>&nbsp;noch keine Kommentare zu diesem Film</em></p></div>";
	}
}



/*
 * insert_comments()
 */
function insert_comment() {
	require_once("includes/config.inc.php");
	
	if($_SESSION["logged_in"]) {
		$conn = new MySQL();
	
		$insertcomment = $conn->query("INSERT INTO ".DB_TBLPRE."comment (comment_useridfs
																	  ,comment_text
																	  ,comment_date
																	  ,comment_movieidfs
																) VALUES (
																	   '".$_SESSION["user_id"]."'
																	  ,'".mysql_real_escape_string(strip_tags($_POST["comment"]))."'
																	  ,'".time()."'
																	  ,'".mysql_real_escape_string(strip_tags($_POST["movieid"]))."'
																)");
	} else { echo"Du musst dich anmelden, um einen Kommentar abgeben zu knnen."; }
}

?>