<?php

error_reporting(E_ALL);

require_once("config.php");

require_once("includes/mysql.class.php");

if(!isset($_GET["module"])) { $_GET["module"] = ""; }

switch($_GET["module"]) {
	case "showlogin": login_main("","",true);
		break;
	case "login": login_login();
		break;
	case "logout": login_logout();
		break;
	default: login_main("","",true);
		break;
}



/*
 * login_main()
 */
function login_main($message,$msgtype,$session) {
	
	$header_session = $session;
	$header_bodyarg = "";
	require_once("overall_header.php");
	
	echo'<div id="movie_header" style="background-image:url(\'images/backdrop_none.jpg\');">
			<div id="movie_mainheader">
				<strong>Anmelden</strong>
				<em>Melde dich bei MyMovies an und greife auf dein persnliches Benutzerkonto zu.</em>
			</div>
		</div>
		<div id="content">';
		
		if(!empty($message)) {
			switch($msgtype) {
				case "w": echo"<p class=\"warning\">$message</p>";
					break;
				case "e": echo"<p class=\"error\">$message</p>";
					break;
				default: echo"<p class=\"error\">$message</p>";
					break;
			}
		}
		
		echo'<h1>Deine Anmeldedaten</h1>
		<!--p>Wenn du noch kein Benutzerkonto hast, kannst du <a href="#">kostenlos eines erstellen</a>.</p-->
		<form method="post" action="login.php?module=login">
		<dl class="form" style="margin:auto; width:500px;">
			<dt>Benutzername:</dt>
			<dd><input type="text" name="username" class="text" /></dd>
			<dt>Passwort:</dt>
			<dd><input type="password" name="password" class="text" /></dd>
			<dt>&nbsp;</dt>
			<dd><input type="submit" name="doit" value="Anmelden" class="submit" /></dd>
		</dl>
		</form>';
	
	require_once("overall_footer.php");
}



/*
 * login_doit()
 */
function login_login() {
	session_start();
	
	if(!isset($_POST["username"]) || empty($_POST["username"]) || !isset($_POST["password"]) || empty($_POST["password"])) {
		login_main("Benutzername oder Passwort nicht angegeben.","w",false);
	} else {
		$conn = new mySQL();
		
		$getusr = $conn->select("SELECT user_id, user_name, user_firstname, user_nickname, user_uniqid, user_type, user_password FROM ".DB_TBLPRE."user WHERE (user_nickname = '".mysql_real_escape_string(strip_tags($_POST["username"]))."' OR user_mail = '".mysql_real_escape_string(strip_tags($_POST["username"]))."') AND user_active = '1'");
		
		if(count($getusr) <= 0) {		
			login_main("Benutzername oder Passwort stimmen nicht &uuml;berein.","e",false);
		} else {
			if(md5(md5(mysql_real_escape_string(strip_tags($_POST["password"]))).$getusr[0]->user_uniqid) != $getusr[0]->user_password) {
				login_main("Benutzername oder Passwort stimmen nicht &uuml;berein.","e",false);
			} else {
				$_SESSION["logged_in"] = true;
				$_SESSION["user_name"] = htmlentities(stripslashes($getusr[0]->user_nickname));
				$_SESSION["user_firstname"] = htmlentities(stripslashes($getusr[0]->user_firstname));
				$_SESSION["user_lastname"] = htmlentities(stripslashes($getusr[0]->user_name));
				$_SESSION["user_id"] = $getusr[0]->user_id;
				$_SESSION["user_type"] = $getusr[0]->user_type;
				
																				 
				header("Location: index.php");
			}
		}
	}
}



/*
 * login_logout()
 */
function login_logout() {
	session_start();
	
	session_unset();
	session_destroy();
	
	header("Location: index.php");
}

?>