<?php

error_reporting(E_ALL);

require_once("config.php");

require_once(ABSPATH . 'includes/mysql.class.php');
require_once(ABSPATH . 'includes/functions.inc.php');

if(!isset($_POST["module"])) { $_POST["module"] = ""; }

switch($_POST["module"]) {
	case "newest_movies": top_newest_movies();
		break;
	case "coming_movies": top_coming_movies();
		break;
	default: echo"Error:";
		break;
}

function top_newest_movies() {	
	$conn = new MySQL();

	$get5newest = $conn->select("SELECT movie_id, movie_title, pic_filename movie_covername, IF(length(movie_description)>250,concat(left(movie_description,250),'...'),movie_description) movie_description, movie_entrydate,movie_length
								 FROM ".DB_TBLPRE."movie mo
								 LEFT JOIN ".DB_TBLPRE."picture pic ON pic.pic_id = mo.movie_coveridfs
								 WHERE movie_active = 1
								 ORDER BY movie_entrydate DESC LIMIT 0,".mysql_real_escape_string(strip_tags($_POST["show"]))."");
	
	foreach($get5newest as $movie) {
		$getgenres = $conn->select("SELECT genre_id, genre_name
									FROM ".DB_TBLPRE."moviegenre mg
									JOIN ".DB_TBLPRE."genre g ON g.genre_id = mg.moviegenre_genreidfs
									WHERE mg.moviegenre_movieidfs = '".$movie->movie_id."'");
	
		$genre_array = array();

		foreach($getgenres as $g) {
			$genre_array[] = '<a href="show.php?module=genres&genreid='.$g->genre_id.'">'.htmlentities(stripslashes($g->genre_name)).'</a>';
		}
		
		$movielink = ((FRIENDLY_URL)?"show/movie/" . $movie->movie_id . "-" . formatUrlFriendly(stripslashes($movie->movie_title)):"show.php?module=movie&amp;movie=".$movie->movie_id);
		
		echo "<div class=\"newest\">
			<a href=\"".$movielink."\"><img src=\"".((!empty($movie->movie_covername) && file_exists(COVERS_PATH . $movie->movie_covername))?SCRIPT_URL . getCover($movie->movie_covername,80):SCRIPT_URL . "images/unknown_cover_80.png")."\" alt=\"".htmlentities(stripslashes($movie->movie_title))."\" class=\"newest_image\" /></a>
			<div style=\"margin-left:65px;\">
				<h2><a href=\"".$movielink."\">".htmlentities(stripslashes($movie->movie_title))."</a></h2>
				<p>".((!empty($movie->movie_description))?htmlentities(stripslashes($movie->movie_description))." <a href=\"".$movielink."\">mehr</a>":"<em>keine Beschreibung</em>")."</p>
				<p class=\"newest_info\">Eingetragen am ".date('d.m.Y \u\m H:i',$movie->movie_entrydate)." &nbsp;&bull;&nbsp; Dauer: ca. ".$movie->movie_length." min &nbsp;&bull;&nbsp; Genres: ",implode(", ",$genre_array),"</p>
			</div>
		</div>";
	}
	
	if(count($get5newest) > 0) {
		echo"<p class=\"newest_more\"><a class=\"submit\" href=\"javascript:newest_movies(".(mysql_real_escape_string(strip_tags($_POST["show"]+5))).")\">5 weitere Filme anzeigen ...</a></p>";
	} else {
		echo"<p>&nbsp;Keine Filme gefunden.</p>";
	}
}

function top_coming_movies() {
	$conn = new MySQL();

	$getcoming = $conn->select("SELECT movie_id, movie_title, pic_filename movie_covername, IF(length(movie_description)>250,concat(left(movie_description,250),'...'),movie_description) movie_description, movie_reldate
								 FROM ".DB_TBLPRE."movie mo
								 LEFT JOIN ".DB_TBLPRE."picture pic ON pic.pic_id = mo.movie_coveridfs
								 WHERE movie_active = 0
								 ORDER BY movie_reldate DESC LIMIT 0,".$_POST["show"]."");
	
	foreach($getcoming as $movie) {
		echo "<div class=\"newest\"><a href=\"show.php?module=movie&amp;movie=".$movie->movie_id."\"><img src=\"".((!empty($movie->movie_covername) && file_exists("covers/".$movie->movie_covername))?getCover('covers/',$movie->movie_covername,60):"images/unknown_cover.png")."\" alt=\"".htmlentities(stripslashes($movie->movie_title))."\" style=\"float:left; margin-right:7px;\" /></a> <div style=\"margin-left:65px;\"><a href=\"show.php?module=movie&amp;movie=".$movie->movie_id."\"><strong>".htmlentities(stripslashes($movie->movie_title))."</strong></a> voraussichtlich eingetragen am ".date('d.m.Y u\m H:i',$movie->movie_reldate)."<p>".((!empty($movie->movie_description))?htmlentities(stripslashes($movie->movie_description))." <a href=\"show.php?module=movie&amp;movie=".$movie->movie_id."\">mehr</a>":"<em>keine Beschreibung</em>")."</p></div></div>";
	}
	if(count($getcoming) > 0) {
		echo"<p>&nbsp;<a href=\"javascript:coming_movies(".($_POST["show"]+5).")\">5 weitere Filme anzeigen ...</a></p>";
	} else {
		echo"<p>&nbsp;Keine kommenden Filme gefunden.</p>";
	}
}

?>