<?php

error_reporting(E_ALL);

require_once("config.php");

require_once("includes/mysql.class.php");

session_start();

if(!isset($_GET["module"])) { $_GET["module"] = ""; }

switch($_GET["module"]) {
	case "main": ucp_main();
		break;
	case "movielist": show_movielist();
		break;
	case "genres": show_genres();
		break;
	case "actor": show_actor();
		break;
	default: ucp_main();
		break;
}

function ucp_main() {
	$conn = new mySQL();
	
	$getuser = $conn->select("SELECT user_id
							 		,user_name
									,user_firstname
									,user_nickname
									,user_mail
									,user_phone
									,user_location
									,user_zip
									,user_street
									,user_registered
								FROM ".DB_TBLPRE."user
							   WHERE user_id = '".$_SESSION["user_id"]."'");
	
	if(count($getuser) > 0) {
		$user = $getuser[0];
	} else {
		die("Dieser Benutzer existiert nicht.");
	}
	
	$getmoviesact = $conn->select("SELECT movie_id
							   		  ,movie_title
									  ,bor_startdate
								  FROM ".DB_TBLPRE."borrowed b
								  JOIN ".DB_TBLPRE."movie m ON m.movie_id = b.bor_movieidfs
								 WHERE bor_useridfs = '".$user->user_id."'
								   AND bor_enddate IS NULL
								 ORDER BY bor_startdate DESC,movie_title");
	
	$getmoviespass = $conn->select("SELECT movie_id
							   		  ,movie_title
									  ,bor_startdate
									  ,bor_enddate
								  FROM ".DB_TBLPRE."borrowed b
								  JOIN ".DB_TBLPRE."movie m ON m.movie_id = b.bor_movieidfs
								 WHERE bor_useridfs = '".$user->user_id."'
								   AND bor_enddate IS NOT NULL
								 ORDER BY bor_enddate DESC,movie_title");
	
	/* Passwort ndern */
	if(isset($_POST["changepw"]) && !empty($_POST["oldpw"]) && !empty($_POST["newpw"]) && !empty($_POST["newpwre"])) {
	$changepw_ok = true;
	$changepw_error = "";
	
	if($_POST["newpw"] != $_POST["newpwre"]) {
			$changepw_ok = false;
			$changepw_error = "Die Passw&ouml;rter stimmen nicht &uuml;berein.";
		}
		
		// Lnge prfen
		if($changepw_ok) {
			if(strlen($_POST["newpw"]) < 8) {
				$changepw_ok = false;
				$changepw_error = "Das neue Passwort ist zu kurz. Es muss mindestens 8 Stellen lang sein.";
			}
		}
		
		// Unique-ID des Benutzers holen
		if($changepw_ok) {
			$getuid = $conn->select("SELECT user_uniqid FROM ".DB_TBLPRE."user WHERE user_id = '".$_SESSION["user_id"]."' AND user_active = 1");
			
			if(count($getuid) > 0) {
				$user_uid = $getuid[0]->user_uniqid;
			} else {
				$changepw_ok = false;
				$changepw_error = "Benutzer ist nicht vorhanden.";
			}
		}
		
		// Altes Passwort prfen
		if($changepw_ok) {
			$checkoldpw = $conn->select("SELECT user_id FROM ".DB_TBLPRE."user WHERE user_password = '".md5(md5(mysql_real_escape_string(strip_tags($_POST["oldpw"]))).$user_uid)."' AND user_active = 1 AND user_id = '".$_SESSION["user_id"]."'");
		
			if(count($checkoldpw) <= 0) {
				$changepw_ok = false;
				$changepw_error = "Altes Passwort nicht korrekt.";
			} else {
				// Neues Passwort eintragen
				$setnewpw = $conn->query("UPDATE ".DB_TBLPRE."user SET user_password = '".md5(md5(mysql_real_escape_string(strip_tags($_POST["newpw"]))).$user_uid)."' WHERE user_id = '".$_SESSION["user_id"]."'");
			}
		}

	}
	
	$header_bodyarg = "";
	$header_title = "Mein Konto";
	$header_session = false;
	require_once("overall_header.php");
	
	echo'<div id="movie_header" style="background-image:url(\'',SCRIPT_URL,'images/backdrop_none.jpg\');">
		<div id="movie_mainheader">
			<strong>Mein Konto</strong>
			<em>Eine bersicht ber alle aktuellen und abgeschlossenen Ausleihen und deine persnlichen Daten.</em>
		</div>
	</div>
	<div id="content">';
	
		if(isset($changepw_ok)) { if(!$changepw_ok) { echo"<p class=\"msg_error\">$changepw_error</p>"; } else { echo"<p class=\"msg_success\">Das Passwort wurde erfolgreich ge&auml;ndert.</p>"; } }
		echo"<h1>",htmlentities(stripslashes($user->user_firstname))," ",htmlentities(stripslashes($user->user_name)),"</h1>
			<dl>
				<dt>Benutzername:</dt><dd>",htmlentities(stripslashes($user->user_nickname)),"</dd>
				<dt>E-Mail:</dt><dd>",htmlentities(stripslashes($user->user_mail)),"</dd>
				<dt>Adresse:</dt><dd>",htmlentities(stripslashes($user->user_street)),"<br />",$user->user_zip," ",htmlentities(stripslashes($user->user_location)),"</dd>
				<dt>Telefon:</dt><dd>",htmlentities(stripslashes($user->user_phone)),"</dd>
				<dt>Registriert am:</dt><dd>",date('d.m.Y',$user->user_registered),"</dd>
			</dl>

			<h1>Aktuelle Ausleihen</h1>
			<p>";
			
			if(count($getmoviesact) > 0) {
				echo"<table class=\"datatable\" cellspacing=\"0\" style=\"width:100%;\">
					<tr>
						<th style=\"width:10px;\">ID</th>
						<th>Filmtitel</th>
						<th style=\"width:10px;\">Ausgeliehen</th>
						<th style=\"width:10px;\">Zur&uuml;ckgegeben</th>
						<th>Dauer</th>
					</tr>";
				
				foreach($getmoviesact as $movie) {
					$duration = ceil((time()-$movie->bor_startdate)/3600/24);
					
					echo"<tr>
						<td style=\"text-align:right;\">",$movie->movie_id,"</td>
						<td><a href=\"show.php?module=movie&amp;movie=$movie->movie_id\">",htmlentities(stripslashes($movie->movie_title)),"</a></td>
						<td style=\"text-align:center;\">",date('d.m.Y',$movie->bor_startdate),"</td>
						<td style=\"text-align:center;\">-</td>
						<td style=\"text-align:center;\">",$duration," ",(($duration == 1)?"Tag":"Tage"),"</td>
					</tr>";
				}
				
				echo"</table>";
			} else {
				echo"<em>aktuell keine Filme ausgeliehen</em>";
			}
			
			echo"</p>
			<h1>Abgeschlossene Ausleihen</h1>
			<p>";
			
			if(count($getmoviespass) > 0) {
				echo"<table class=\"datatable\" cellspacing=\"0\" style=\"width:100%;\">
					<tr>
						<th style=\"width:10px;\">ID</th>
						<th>Filmtitel</th>
						<th style=\"width:10px;\">Ausgeliehen</th>
						<th style=\"width:10px;\">Zur&uuml;ckgegeben</th>
						<th>Dauer</th>
					</tr>";
				
				foreach($getmoviespass as $movie) {
					$duration = ceil(($movie->bor_enddate-$movie->bor_startdate)/3600/24);
					
					echo"<tr>
						<td style=\"text-align:right;\">",$movie->movie_id,"</td>
						<td><a href=\"show.php?module=movie&amp;movie=$movie->movie_id\">",htmlentities(stripslashes($movie->movie_title)),"</a></td>
						<td style=\"text-align:center;\">",date('d.m.Y',$movie->bor_startdate),"</td>
						<td style=\"text-align:center;\">",date('d.m.Y',$movie->bor_enddate),"</td>
						<td style=\"text-align:center;\">",$duration," ",(($duration == 1)?"Tag":"Tage"),"</td>
					</tr>";
				}
				
				echo"</table>";
			} else {
				echo"<em>noch keine Filme ausgeliehen</em>";
			}
				
		
		echo"</p>
		<h1>Passwort &auml;ndern</h1>
		<form method=\"post\" action=\"ucp.php\">
			<dl class=\"form\">
				<dt>Altes Passwort:</dt><dd><input type=\"password\" class=\"text\" name=\"oldpw\" /></dd>
				<dt>Neues Passwort:</dt><dd><input type=\"password\" class=\"text\" name=\"newpw\" /></dd>
				<dt>Wiederholen:</dt><dd><input type=\"password\" class=\"text\" name=\"newpwre\" /></dd>
				<dt></dt><dd><input type=\"submit\" value=\"Passwort &auml;ndern\" name=\"changepw\" class=\"submit\" /></dd>
			</dl>
		</form>";
	
	require_once("overall_footer.php");
}

?>