-- phpMyAdmin SQL Dump
-- version 2.9.1.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 30. August 2011 um 00:54
-- Server Version: 5.0.27
-- PHP-Version: 5.2.0
-- 
-- Datenbank: `mymovies2`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_actor`
-- 

CREATE TABLE `mm_actor` (
  `actor_id` int(100) NOT NULL auto_increment,
  `actor_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  `actor_birthdate` int(11) default NULL,
  `actor_biographie` text collate latin1_general_ci,
  `actor_registered` int(15) NOT NULL default '0',
  PRIMARY KEY  (`actor_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=279 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_audioformat`
-- 

CREATE TABLE `mm_audioformat` (
  `af_id` int(100) NOT NULL auto_increment,
  `af_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  `af_canals` varchar(5) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`af_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_borrowed`
-- 

CREATE TABLE `mm_borrowed` (
  `bor_movieidfs` int(100) NOT NULL,
  `bor_useridfs` int(100) NOT NULL,
  `bor_startdate` int(11) NOT NULL,
  `bor_enddate` int(11) default NULL,
  PRIMARY KEY  (`bor_movieidfs`,`bor_useridfs`,`bor_startdate`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_codec`
-- 

CREATE TABLE `mm_codec` (
  `codec_id` int(100) NOT NULL auto_increment,
  `codec_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  `codec_description` text collate latin1_general_ci,
  PRIMARY KEY  (`codec_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_comment`
-- 

CREATE TABLE `mm_comment` (
  `comment_id` int(5) NOT NULL auto_increment,
  `comment_useridfs` int(100) NOT NULL default '0',
  `comment_text` text collate latin1_general_ci NOT NULL,
  `comment_date` int(11) NOT NULL default '0',
  `comment_movieidfs` int(10) NOT NULL default '0',
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=20 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_config`
-- 

CREATE TABLE `mm_config` (
  `config_key` varchar(250) collate latin1_general_ci NOT NULL default '',
  `config_value` varchar(250) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`config_key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_copytype`
-- 

CREATE TABLE `mm_copytype` (
  `copytype_id` int(4) NOT NULL auto_increment,
  `copytype_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`copytype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_country`
-- 

CREATE TABLE `mm_country` (
  `country_id` int(5) NOT NULL auto_increment,
  `country_name` varchar(150) collate latin1_general_ci NOT NULL default '',
  `country_iso` varchar(5) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`country_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_extra`
-- 

CREATE TABLE `mm_extra` (
  `extra_id` int(4) NOT NULL auto_increment,
  `extra_type` varchar(250) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`extra_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_genre`
-- 

CREATE TABLE `mm_genre` (
  `genre_id` int(100) NOT NULL auto_increment,
  `genre_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`genre_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=22 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_language`
-- 

CREATE TABLE `mm_language` (
  `lang_id` int(100) NOT NULL auto_increment,
  `lang_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  `lang_iso` char(3) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`lang_id`),
  FULLTEXT KEY `lang_name` (`lang_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=48 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_movie`
-- 

CREATE TABLE `mm_movie` (
  `movie_id` smallint(6) NOT NULL auto_increment,
  `movie_title` varchar(250) collate latin1_general_ci NOT NULL default '',
  `movie_alttitle` varchar(250) collate latin1_general_ci default NULL,
  `movie_version` varchar(250) collate latin1_general_ci default NULL,
  `movie_coveridfs` int(100) default NULL,
  `movie_backdropidfs` int(100) default NULL,
  `movie_backdropposy` int(4) default NULL,
  `movie_description` text collate latin1_general_ci,
  `movie_age` int(3) default NULL,
  `movie_length` int(5) default NULL,
  `movie_entrydate` int(15) NOT NULL default '0',
  `movie_extraidfs` int(4) NOT NULL default '0',
  `movie_copytypeidfs` int(4) default NULL,
  `movie_backup` smallint(1) default NULL,
  `movie_rlsname` varchar(250) collate latin1_general_ci default NULL,
  `movie_codecidfs` int(4) NOT NULL default '0',
  `movie_notes` text collate latin1_general_ci,
  `movie_cinreldate` int(15) default NULL,
  `movie_reldate` int(15) default NULL,
  `movie_active` smallint(1) NOT NULL default '0',
  `movie_aspectratio` varchar(10) collate latin1_general_ci default NULL,
  `movie_color` smallint(1) default NULL,
  PRIMARY KEY  (`movie_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=474 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_movieactor`
-- 

CREATE TABLE `mm_movieactor` (
  `movieactor_movieidfs` smallint(6) NOT NULL default '0',
  `movieactor_actoridfs` int(100) NOT NULL default '0',
  `movieactor_charname` varchar(250) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`movieactor_movieidfs`,`movieactor_actoridfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_moviecountry`
-- 

CREATE TABLE `mm_moviecountry` (
  `mc_movieidfs` smallint(6) NOT NULL default '0',
  `mc_countryidfs` int(5) NOT NULL default '0',
  PRIMARY KEY  (`mc_movieidfs`,`mc_countryidfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_moviedirector`
-- 

CREATE TABLE `mm_moviedirector` (
  `md_movieidfs` int(100) NOT NULL,
  `md_directoridfs` int(100) NOT NULL,
  PRIMARY KEY  (`md_movieidfs`,`md_directoridfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_moviegenre`
-- 

CREATE TABLE `mm_moviegenre` (
  `moviegenre_movieidfs` smallint(6) NOT NULL default '0',
  `moviegenre_genreidfs` int(100) NOT NULL default '0',
  PRIMARY KEY  (`moviegenre_movieidfs`,`moviegenre_genreidfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_movielang`
-- 

CREATE TABLE `mm_movielang` (
  `movielang_movieidfs` smallint(6) NOT NULL default '0',
  `movielang_langidfs` int(100) NOT NULL default '0',
  `movielang_afidfs` int(100) NOT NULL default '0',
  PRIMARY KEY  (`movielang_movieidfs`,`movielang_langidfs`,`movielang_afidfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_moviepic`
-- 

CREATE TABLE `mm_moviepic` (
  `moviepic_movieidfs` int(100) NOT NULL default '0',
  `moviepic_picidfs` int(100) NOT NULL default '0',
  PRIMARY KEY  (`moviepic_movieidfs`,`moviepic_picidfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_moviesub`
-- 

CREATE TABLE `mm_moviesub` (
  `moviesub_movieidfs` int(100) NOT NULL default '0',
  `moviesub_langidfs` int(100) NOT NULL default '0',
  PRIMARY KEY  (`moviesub_movieidfs`,`moviesub_langidfs`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_picture`
-- 

CREATE TABLE `mm_picture` (
  `pic_id` int(100) NOT NULL auto_increment,
  `pic_title` varchar(250) collate latin1_general_ci default NULL,
  `pic_filename` varchar(250) collate latin1_general_ci NOT NULL default '',
  `pic_description` text collate latin1_general_ci,
  PRIMARY KEY  (`pic_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=490 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_rate`
-- 

CREATE TABLE `mm_rate` (
  `rate_useridfk` smallint(6) NOT NULL,
  `rate_movieidfk` smallint(6) NOT NULL,
  `rate_rate` decimal(4,1) NOT NULL,
  PRIMARY KEY  (`rate_useridfk`,`rate_movieidfk`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_trailer`
-- 

CREATE TABLE `mm_trailer` (
  `trailer_id` int(100) NOT NULL auto_increment,
  `trailer_link` varchar(254) character set utf8 NOT NULL,
  `trailer_movieidfk` int(100) NOT NULL,
  PRIMARY KEY  (`trailer_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `mm_user`
-- 

CREATE TABLE `mm_user` (
  `user_id` smallint(6) NOT NULL auto_increment,
  `user_nickname` varchar(200) collate latin1_general_ci default NULL,
  `user_firstname` varchar(250) collate latin1_general_ci NOT NULL default '',
  `user_name` varchar(250) collate latin1_general_ci NOT NULL default '',
  `user_street` varchar(250) collate latin1_general_ci default NULL,
  `user_zip` varchar(10) collate latin1_general_ci default NULL,
  `user_location` varchar(250) collate latin1_general_ci default NULL,
  `user_phone` varchar(50) collate latin1_general_ci default NULL,
  `user_mail` varchar(250) collate latin1_general_ci NOT NULL default '',
  `user_password` varchar(250) collate latin1_general_ci default NULL,
  `user_registered` int(15) NOT NULL default '0',
  `user_active` smallint(1) NOT NULL default '0',
  `user_type` smallint(1) NOT NULL default '0',
  `user_uniqid` varchar(50) collate latin1_general_ci NOT NULL default '',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=18 ;
