<?php

error_reporting(E_ALL);

session_start();

require_once("../config.php");

require_once(ABSPATH."admin/check_admin.php");

require_once(ABSPATH."includes/mysql.class.php");

//if(isset($_GET)) { $_POST .= $_GET; }
$_POST = array_merge($_POST,$_GET);

switch($_POST["module"]) {
	case 'get_genres': get_genres();
		break;
	case 'get_countries': get_countries();
		break;
	case 'get_languages': get_languages();
		break;
	case 'get_trailers'; get_trailers();
		break;
	case 'insert_trailer': insert_trailer();
		break;
	default: echo"Unbekanntes modul";
		break;
}

function get_genres() {
	$conn = new mySQL();
	
	$getcounts = $conn->select("SELECT genre_id, genre_name FROM ".DB_TBLPRE."genre WHERE genre_name LIKE '".mysql_real_escape_string(strip_tags($_POST["value"]))."%' ORDER BY genre_name");
	
	echo"<ul>";
	if(count($getcounts) > 0) {
		foreach($getcounts as $c) {
			echo"<li id=\"$c->genre_id\">",utf8_encode(stripslashes($c->genre_name)),"</li>";
		}
	} else {
		echo"<li><span class=\"informal\">keine Ergebnisse</span></li>";
	}
	echo"</ul>";
}

function get_countries() {
	$conn = new mySQL();
	
	$getcounts = $conn->select("SELECT country_id, country_name FROM ".DB_TBLPRE."country WHERE country_name LIKE '".$_POST["value"]."%' ORDER BY country_name");
	
	echo"<ul>";
	foreach($getcounts as $c) {
		echo"<li id=\"$c->country_id\">",utf8_encode(stripslashes($c->country_name)),"</li>";
	}
	echo"</ul>";
}

function get_languages() {
	$conn = new mySQL();
	
	$langs = $conn->select("SELECT lang_name
						   	  FROM ".DB_TBLPRE."language
							 WHERE lang_name LIKE '".$_POST["value"]."%'
							 ORDER BY lang_name");
	echo"<ul>\n";
	if(count($langs) > 0) {
		foreach($langs as $lang) {
			echo"<li>".htmlentities(stripslashes($lang->lang_name))."</li>\n";
		}
	} else {
		echo"<li><span class=\"informal\">keine Ergebnisse</span></li>\n";
	}
	echo"</ul>";
}

function get_trailers() {
	require_once(ABSPATH . 'classes/controller/trailerController.class.php');
	
	$conn = new mySQL();
	$trailerController = new TrailerController($conn);
	$trailerList = $trailerController->getTrailersByMovieId($_POST['movie']);
	
	if(count($trailerList) > 0) {
		foreach($trailerList as $t) {
			echo'<li><a href=\"#\"><img src="../images/icon_delete.gif" alt="L&ouml;schen" style="vertical-align:middle;" /></a> <a href="',$t->getLink(),'">',$t->getLink(),'</a></li>';
		}
	} else {
		echo'<li><em>Es sind momentan noch keine Trailer eingetragen.</em></li>';
	}
}

function insert_trailer() {
	require_once(ABSPATH . 'classes/controller/trailerController.class.php');
	require_once(ABSPATH . 'classes/popo/trailer.class.php');

	$conn = new mySQL();
	$trailerController = new TrailerController($conn);
	$trailerController->saveTrailer(new Trailer(null,$_POST['trailerurl'],$_POST['movie']));
}