<?php

error_reporting(E_ALL);

session_start();

require_once("../config.php");

require_once(ABSPATH."admin/check_admin.php");

require_once(ABSPATH."includes/mysql.class.php");
require_once(ABSPATH."includes/functions.inc.php");

$_POST = array_merge($_POST,$_GET);

switch($_POST['module']) {
	case "movie": edit_movie();
		break;
	case "getlangs": edit_getlangs();
		break;
	case "movie_getlangs": edit_movie_getlangs();
		break;
	case "movie_dellang": edit_movie_dellang();
		break;
	case "movie_get_countries": edit_movie_get_countries();
		break;
	default: echo"Was willst du editieren?";
		break;
}
	
	
	
	

function edit_movie() {
	$ars = array("4:3","16:9","1.85:1","2.39:1");
	
	$conn = new mySQL();
	
	/* SPEICHERN */
	if(isset($_POST["save"])) {
		$msg_warn = array();
		$msg_success = array();
		$msg_error = array();
	
		if(!multi_empty(array($_POST["title"],$_POST["description"]))) {
			//echo"<pre>"; print_r($_POST); echo"</pre>";
			
			/*
			 * Neue Film-Sprach-Kombinationen prfen
			 */
			$insertlangs = array();
			
			for($i=0; $i < count($_POST["lang"]); $i++) {
				$j = 0;
				$lang = mysql_real_escape_string(strip_tags($_POST["lang"][$i]));
				
				if(!multi_empty(array($lang,$_POST["af"][$i]))) {
					$checklang = $conn->select("SELECT lang_id FROM ".DB_TBLPRE."language WHERE lang_name = '".$lang."'");
					
					if(count($checklang) > 0) {
						/* Sprache existiert bereits, d.h. es ist mglich, dass die Sprach-Tonformat-Kombination bereits dem Film zugeteilt wurde */
						$checkthat = $conn->select("SELECT movielang_movieidfs FROM ".DB_TBLPRE."movielang 
												   	 WHERE movielang_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'
													   AND movielang_langidfs = '".$checklang[0]->lang_id."'
													   AND movielang_afidfs = '".mysql_real_escape_string(strip_tags($_POST["af"][$i]))."'");
						
						if(count($checkthat) == 0) {
							/* Sprach-Ton-Kombinationen zum eintragen zulassen */
							$insertlangs[$j]["langid"] = $checklang[0]->lang_id;
							$insertlangs[$j]["af_id"] = mysql_real_escape_string(strip_tags($_POST["af"][$i]));
							$j++;
						}
					} else {
						/* Neue Sprache eintragen */
						$insertlang = $conn->query("INSERT INTO ".DB_TBLPRE."language (lang_name, lang_iso) VALUES ('".$lang."',NULL)");
						$msg_success[] = "Neue Sprache <strong>$lang</strong> (".mysql_insert_id().") hinzugef&uuml;gt.";
						$insertlangs[$j]["langid"] = mysql_insert_id();
						$insertlangs[$j]["af_id"] = mysql_real_escape_string(strip_tags($_POST["af"][$i]));
						$j++;
					}
				} else {
					$msg_warn[] = "Sprache ".$i." nicht komplett!";
				}
			}
			
			/*
			 * Neue Film-Sprach-Kombinationen eintragen
			 */
			for($i=0; $i < count($insertlangs); $i++) {
				$insertlang = $conn->select("INSERT INTO ".DB_TBLPRE."movielang (movielang_movieidfs, movielang_langidfs, movielang_afidfs) VALUES ('".mysql_real_escape_string(strip_tags($_GET["movie"]))."','".$insertlangs[$i]["langid"]."','".$insertlangs[$i]["af_id"]."')");
			}
			
			/*
			 * Lnder neu einfgen
			 */
			if(!empty($_POST["country"])) {
				// Lschen der Genres
				$delcountries = $conn->query("DELETE FROM ".DB_TBLPRE."moviecountry WHERE mc_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
				
				$countries = explode(",",$_POST["country"]);
				
				foreach($countries as $country) {
					$country_trim = trim(mysql_real_escape_string(strip_tags($country)));
					
					$checkcountry = $conn->select("SELECT country_id FROM ".DB_TBLPRE."country WHERE country_name = '".$country_trim."'");
					
					if(count($checkcountry) == 0) {
						// genre zuerst anlegen
						$createcountry = $conn->query("INSERT INTO ".DB_TBLPRE."country (country_name) VALUES ('".$country_trim."')");
						$country_id = mysql_insert_id();
					} else {
						$country_id = $checkcountry[0]->country_id;
					}
					$inscountry = $conn->query("INSERT INTO ".DB_TBLPRE."moviecountry (mc_movieidfs, mc_countryidfs) VALUES ('".mysql_real_escape_string(strip_tags($_GET["movie"]))."','$country_id')");
				}
			}
			
			/*
			 * Genres neu einfgen
			 */
			if(!empty($_POST["genre"])) {
				// Lschen der Genres
				$delgenres = $conn->query("DELETE FROM ".DB_TBLPRE."moviegenre WHERE moviegenre_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
				
				$genres = explode(",",$_POST["genre"]);
				
				foreach($genres as $genre) {
					$genre_trim = trim(mysql_real_escape_string(strip_tags($genre)));
					
					$checkgenre = $conn->select("SELECT genre_id FROM ".DB_TBLPRE."genre WHERE genre_name = '".$genre_trim."'");
					
					if(count($checkgenre) == 0) {
						// genre zuerst anlegen
						$creategenre = $conn->query("INSERT INTO ".DB_TBLPRE."genre (genre_name) VALUES ('".$genre_trim."')");
						$genre_id = mysql_insert_id();
					} else {
						$genre_id = $checkgenre[0]->genre_id;
					}
					$insgenres = $conn->query("INSERT INTO ".DB_TBLPRE."moviegenre (moviegenre_movieidfs, moviegenre_genreidfs) VALUES ('".mysql_real_escape_string(strip_tags($_GET["movie"]))."','$genre_id')");
				}
			} else {
				$msg_error[] = "Der Film muss mindestens einem Genre zugeordnet sein.";
			}
			
			/* UPDATE */
			$updatemovie = $conn->query("UPDATE ".DB_TBLPRE."movie 
											SET movie_title = '".mysql_real_escape_string(strip_tags($_POST["title"]))."'
											   ,movie_alttitle = '".mysql_real_escape_string(strip_tags($_POST["alttitle"]))."'
											   ,movie_version = '".mysql_real_escape_string(strip_tags($_POST["version"]))."'
											   ,movie_description = '".mysql_real_escape_string(strip_tags($_POST["description"]))."'
											   ,movie_age = '".mysql_real_escape_string(strip_tags($_POST["age"]))."'
											   ,movie_length = '".mysql_real_escape_string(strip_tags($_POST["length"]))."'
											   ,movie_extraidfs = '".mysql_real_escape_string(strip_tags($_POST["extra"]))."'
											   ,movie_copytypeidfs = '".mysql_real_escape_string(strip_tags($_POST["copytype"]))."'
											   ,movie_backup = '".mysql_real_escape_string(strip_tags($_POST["backup"]))."'
											   ,movie_codecidfs = '".mysql_real_escape_string(strip_tags($_POST["codec"]))."'
											   ,movie_notes = '".mysql_real_escape_string(strip_tags($_POST["notes"]))."'
											   ,movie_cinreldate = '".((!empty($_POST["cinrel"]["year"]))?mktime(0,0,0,strip_tags($_POST["cinrel"]["month"]),strip_tags($_POST["cinrel"]["day"]),strip_tags($_POST["cinrel"]["year"])):"0")."'
											   ,movie_reldate = '".((!empty($_POST["streetrel"]["year"]))?mktime(0,0,0,strip_tags($_POST["streetrel"]["month"]),strip_tags($_POST["streetrel"]["day"]),strip_tags($_POST["streetrel"]["year"])):"0")."'
											   ,movie_active = '".mysql_real_escape_string(strip_tags($_POST["active"]))."'
											   ,movie_aspectratio = '".mysql_real_escape_string(strip_tags($_POST["ar"]))."'
											   ,movie_color = '".mysql_real_escape_string(strip_tags($_POST["color"]))."' 
											   ,movie_rlsname = '".mysql_real_escape_string(strip_tags($_POST["rlsname"]))."' 
											   ,movie_backdropposy = ".((!empty($_POST["backdropoffset"]))?"'".mysql_real_escape_string(strip_tags($_POST["backdropoffset"]))."'":"NULL")."
										  WHERE movie_id = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
			
			/* UPLODAD COVER */
			$coverdir = "../covers/";

			if(!empty($_FILES['cover']['name'])) {
				if(file_exists($coverdir.$_FILES['cover']['name'])) {
					$msg_warn[] = "Es existierte bereits ein Cover mit dem Dateinamen <strong>" . $_FILES['cover']['name'] . "</strong>, es wurde berschrieben.";
					unlink($coverdir.$_FILES['cover']['name']);
				}
				
				if (isset($_FILES['cover']) && !$_FILES['cover']['error']) {
					move_uploaded_file($_FILES['cover']['tmp_name'], $coverdir.$_FILES['cover']['name']);
					$insertpic = $conn->query("INSERT INTO ".DB_TBLPRE."picture (pic_filename) VALUES ('".$_FILES['cover']['name']."')");
					$coverid = mysql_insert_id();
					
					$updatecover = $conn->query("UPDATE ".DB_TBLPRE."movie SET movie_coveridfs = $coverid WHERE movie_id = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
				}
			}
			
			/* UPLODAD BACKDROP */
			$backdropdir = ABSPATH . BACKDROPS_PATH;

			if(!empty($_FILES['backdrop']['name'])) {
				if(file_exists($backdropdir . $_FILES['backdrop']['name'])) {
					$msg_warn[] = "Es existierte bereits ein Backdrop mit dem Dateinamen <strong>" . $_FILES['backdrop']['name'] . "</strong>, es wurde berschrieben.";
					unlink($backdropdir . $_FILES['backdrop']['name']);
				}
				
				if (isset($_FILES['backdrop']) && !$_FILES['backdrop']['error']) {
					move_uploaded_file($_FILES['backdrop']['tmp_name'], $backdropdir . $_FILES['backdrop']['name']);
					$insertpic = $conn->query("INSERT INTO ".DB_TBLPRE."picture (pic_filename) VALUES ('".$_FILES['backdrop']['name']."')");
					$coverid = mysql_insert_id();
					
					$updatecover = $conn->query("UPDATE ".DB_TBLPRE."movie SET movie_backdropidfs = $coverid WHERE movie_id = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
				}
			
				$options = array('resizeUp' => true, 'jpegQuality' => BACKDROP_QUALITY);
			
				try {
					$thumb = PhpThumbFactory::create($backdropdir . $_FILES['backdrop']['name'],$options);
					$thumb->resize(BACKDROP_WIDTH,1000);
					$thumb->save($backdropdir . $_FILES['backdrop']['name']);
				} catch (Exception $e) {
					 // handle error here however you'd like
					 echo $e->getMessage();
				}
			}
			
			$msg_success[] = "Der Film wurde erfolgreich aktualisiert. <a href=\"../show.php?module=movie&amp;movie=".mysql_real_escape_string(strip_tags($_GET["movie"]))."\">Zur&uuml;ck zur Ansicht</a>";
		} else {
			$msg_error[] = "Es wurden nicht alle ben&ouml;tigten Felder ausgef&uuml;llt.";
		}
	}
	
	$movie = $conn->select("SELECT movie_id
								  ,movie_title
								  ,movie_alttitle
								  ,movie_version
								  ,movie_description
								  ,movie_notes
								  ,movie_length
								  ,movie_age
								  ,movie_entrydate
								  ,movie_cinreldate
								  ,movie_reldate
								  ,pic.pic_filename movie_covername
								  ,picbd.pic_filename movie_backdrop
								  ,copytype_name movie_copytype
								  ,movie_copytypeidfs movie_copytypeid
								  ,codec_name movie_codec
								  ,codec_description movie_codecdes
								  ,movie_backup
								  ,extra_type movie_extra
								  ,movie_active
								  ,movie_aspectratio
								  ,movie_color
								  ,movie_rlsname
								  ,movie_backdropposy
							   FROM ".DB_TBLPRE."movie mo
							   LEFT JOIN ".DB_TBLPRE."picture pic ON pic.pic_id = mo.movie_coveridfs
							   LEFT JOIN ".DB_TBLPRE."picture picbd ON picbd.pic_id = mo.movie_backdropidfs
							   LEFT JOIN ".DB_TBLPRE."copytype ct ON ct.copytype_id = mo.movie_copytypeidfs
							   LEFT JOIN ".DB_TBLPRE."codec co ON co.codec_id = mo.movie_codecidfs
							   LEFT JOIN ".DB_TBLPRE."extra ex ON ex.extra_id = mo.movie_extraidfs
							   WHERE movie_id = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
	
	if(count($movie) > 0) {
		$header_bodyarg = "onload=\"movie_getlangs('".mysql_real_escape_string(strip_tags($_GET["movie"]))."'); movie_gettrailers('".mysql_real_escape_string(strip_tags($_GET["movie"]))."');\"";
		$header_title = "Editieren: ".htmlentities(stripslashes($movie[0]->movie_title));
		$header_rootpath = "../";
		$header_session = false;
		require_once("../overall_header.php");
		
		$codecs = $conn->select("SELECT codec_id
									   ,codec_name
								   FROM ".DB_TBLPRE."codec
								  WHERE codec_name != ''
							   ORDER BY codec_name");
		
		$extras = $conn->select("SELECT extra_id
									   ,extra_type
								   FROM ".DB_TBLPRE."extra
								  WHERE extra_type != ''
							   ORDER BY extra_type");
								
		$subs = $conn->select("SELECT lang_name sub_lang
							   FROM ".DB_TBLPRE."moviesub ms
							   LEFT JOIN ".DB_TBLPRE."language la ON la.lang_id = ms.moviesub_langidfs
							   WHERE ms.moviesub_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'
							   ORDER BY lang_name");
					   
		$moviegenres = $conn->select("SELECT genre_id
									   ,genre_name
								 FROM ".DB_TBLPRE."moviegenre mg
								 JOIN ".DB_TBLPRE."genre ge ON ge.genre_id = mg.moviegenre_genreidfs
								 WHERE moviegenre_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
									
		$casting = $conn->select("SELECT actor_id
										,actor_name
								  FROM ".DB_TBLPRE."movieactor ma
								  LEFT JOIN ".DB_TBLPRE."actor ac ON ac.actor_id = ma.movieactor_actoridfs
								  WHERE movieactor_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
								  
		$countries = $conn->select("SELECT country_id
										  ,country_name
									FROM ".DB_TBLPRE."moviecountry mc
									JOIN ".DB_TBLPRE."country c ON c.country_id = mc.mc_countryidfs
									WHERE mc_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'
									ORDER BY country_name");
		
		$copytypes = $conn->select("SELECT copytype_id
								   		  ,copytype_name
									  FROM ".DB_TBLPRE."copytype
								  ORDER BY copytype_name");
		
		$borrowed = $conn->select("SELECT bor_movieidfs FROM ".DB_TBLPRE."borrowed WHERE bor_movieidfs = '".$movie[0]->movie_id."' AND bor_enddate IS NULL");
		
		$genres_array = array();
		foreach($moviegenres as $g) {
			$genres_array[] = "<a href=\"show.php?module=genre&amp;genre=".$g->genre_id."\">".stripslashes(strip_tags($g->genre_name))."</a>";
		}
		
		$countries_array = array();
		foreach($countries as $c) {
			$countries_array[] = "<a href=\"show.php?module=genre&amp;genre=".$c->country_id."\">".stripslashes(strip_tags($c->country_name))."</a>";
		}
		
		echo'<form method="post" action="edit.php?module=movie&movie=',$movie[0]->movie_id,'" enctype="multipart/form-data">
		<div id="movie_header" style="background-image:url(\'' , (($movie[0]->movie_backdrop !== NULL)?SCRIPT_URL . BACKDROPS_PATH . $movie[0]->movie_backdrop:SCRIPT_URL . 'images/backdrop_none.jpg') , '\');',(($movie[0]->movie_backdropposy !== NULL)?' background-position:left '.$movie[0]->movie_backdropposy.'px;':''),'">
			<div id="movie_mainheader">
				<div id="availability"><em style="font-style:italic;">#' , $movie[0]->movie_id , '</em> <img src="',((count($borrowed) <= 0)?SCRIPT_URL . 'images/icon_in.png':SCRIPT_URL . 'images/icon_out.png'),'" alt="',((count($borrowed) <= 0)?'verfgbar':'ausgeliehen'),'" style="margin-left:4px;" /></div>
				
				<strong>Editieren: ' , htmlentities(stripslashes($movie[0]->movie_title)) , '</strong>
				<em>' , implode(', ',$countries_array) , ' &nbsp;' , date('Y',$movie[0]->movie_cinreldate) , ' &nbsp;&bull;&nbsp; ca. ' , $movie[0]->movie_length ,' min &nbsp;&bull;&nbsp; ' , implode(', ',$genres_array) , '</em>
			</div>
		</div>
		<div id="content">';
		
		if(isset($msg_error) && count($msg_error) > 0) {
			echo'<ul class="msg_error">';
			for($i = 0; $i < count($msg_error); $i++) {
				echo'<li>' , $msg_error[$i] , '</li>';
			}
			echo'</ul>';
		}
		
		if(isset($msg_warn) && count($msg_warn) > 0) {
			echo'<ul class="msg_warning">';
			for($i = 0; $i < count($msg_warn); $i++) {
				echo'<li>' , $msg_warn[$i] , '</li>';
			}
			echo'</ul>';
		}
		
		if(isset($msg_success) && count($msg_success) > 0) {
			echo'<ul class="msg_success">';
			for($i = 0; $i < count($msg_success); $i++) {
				echo'<li>' , $msg_success[$i] , '</li>';
			}
			echo'</ul>';
		}
		
		echo (($movie[0]->movie_active == 1)?"":"<p class=\"msg_information\">Dieser Film wurde noch nicht aktiviert.</p>")."
			".((!empty($movie[0]->movie_covername) && file_exists("../covers/".$movie[0]->movie_covername))?"<a href=\"".SCRIPT_URL. COVERS_PATH . $movie[0]->movie_covername . "\" id=\"cover\" rel=\"lightbox\" title=\"Cover\"><img src=\"". SCRIPT_URL . getCover($movie[0]->movie_covername,180)."\" alt=\"".htmlentities(stripslashes($movie[0]->movie_title))."\" /></a>":"<a id=\"cover\"><img src=\"".SCRIPT_URL."/images/unknown_cover_180.png\" alt=\"Kein Cover\" /></a>")."
			<div style=\"margin-left:200px;\">
				<h1>Filminformationen</h1>
				<dl class=\"form\">
					<dt>Filmtitel:</dt><dd><input type=\"text\" class=\"text\" name=\"title\" value=\"".$movie[0]->movie_title."\" /></dd>
					<dt>Alternative Titel:</dt><dd><input type=\"text\" class=\"text\" name=\"alttitle\" value=\"".$movie[0]->movie_alttitle."\" /></dd>
					<dt>Beschreibung:</dt><dd><textarea name=\"description\">".htmlentities(stripslashes($movie[0]->movie_description))."</textarea></dd>
					<dt>Spieldauer:</dt><dd>ca. <input type=\"text\" class=\"text\" name=\"length\" value=\"".$movie[0]->movie_length."\" size=\"3\" style=\"text-align:center; width:auto;\" /> min</dd>
					<dt>Seitenverhltnis:</dt><dd><select name=\"ar\">";
				
				if(!empty($movie[0]->movie_aspectratio)) {
					echo"<option value=\"0\">-- bitte w&auml;hlen --</option>";
				} else {
					echo"<option value=\"0\" selected=\"selected\">-- bitte w&auml;hlen --</option>";
				}
				
				foreach($ars as $ar) {
					echo"<option".(($movie[0]->movie_aspectratio == $ar)?" selected=\"selected\"":"").">$ar</option>";
				}
				
				echo"
				</select></dd>
				<dt>Farbe:</dt><dd>
				<select name=\"color\">
					<option value=\"-1\"".(($movie[0]->movie_color === NULL)?" selected=\"selected\"":"").">-- bitte w&auml;hlen --</option>
					<option value=\"1\"".(($movie[0]->movie_color == 1)?" selected=\"selected\"":"").">Farbe</option>
					<option value=\"0\"".(($movie[0]->movie_color == 0)?" selected=\"selected\"":"").">schwarz-weiss</option>
				</select>
				</dd>";
				
				$countriesarray = array();
				foreach($countries as $co) {
					$countriesarray[] = stripslashes($co->country_name);
				}
					
				echo"<dt>Land:</dt><dd><input type=\"text\" class=\"text\" autocomplete=\"off\" name=\"country\" value=\"",implode(", ",$countriesarray),"\" id=\"country\" />
			<div id=\"country_autocomplete\" class=\"autosel\" style=\"display:none;\"></div>
			<script type=\"text/javascript\" language=\"javascript\" charset=\"utf-8\">
			// <![CDATA[
			  new Ajax.Autocompleter('country','country_autocomplete','ajax.php', {
				paramName: \"value\",
				minChars: 2,
				tokens: ',',
				parameters: 'module=get_countries'
				});
			// ]]>
			</script></dd>";
				$genres = array();
				foreach($moviegenres as $moviegen) {
					$genres[] = $moviegen->genre_name;
				}
				$cinrel = formdate($movie[0]->movie_cinreldate,"cinrel","date");
				$streetrel = formdate($movie[0]->movie_reldate,"streetrel","date");
				echo"<dt>Genres:</dt><dd><input type=\"text\" class=\"text\" autocomplete=\"off\" name=\"genre\" id=\"genres\" value=\"",implode(", ",$genres),"\" />
				<span id=\"indicator_genres\" style=\"display: none\">
				  <img src=\"../images/icon_loader.gif\" alt=\"Working...\" />
				</span>
				<div id=\"genres_autocomplete\" class=\"autosel\" style=\"display:none;\"></div>
				<script type=\"text/javascript\" language=\"javascript\" charset=\"utf-8\">
				// <![CDATA[
				  new Ajax.Autocompleter('genres','genres_autocomplete','ajax.php', {
					paramName: \"value\",
					minChars: 2,
					tokens: ',',
					indicator: 'indicator_genres',
					parameters:'module=get_genres'
				  });
				// ]]>
				</script></dd>
				<dt>Altersfreigabe:</dt><dd>
					<select name=\"age\">
						<option value=\"0\"".(($movie[0]->movie_age == 0)?" selected=\"selected\"":"").">ohne Altersbeschr&auml;nkung</option>
						<option value=\"6\"".(($movie[0]->movie_age == 6)?" selected=\"selected\"":"").">ab 6 Jahren</option>
						<option value=\"12\"".(($movie[0]->movie_age == 12)?" selected=\"selected\"":"").">ab 12 Jahren</option>
						<option value=\"16\"".(($movie[0]->movie_age == 16)?" selected=\"selected\"":"").">ab 16 Jahren</option>
						<option value=\"18\"".(($movie[0]->movie_age == 18)?" selected=\"selected\"":"").">keine Jugendfreigabe</option>
					</select>
				</dd>
				<dt>Kino-Release:</dt><dd>".$cinrel["day"]." ".$cinrel["mon"]." ".$cinrel["year"]."</dd>
				<dt>Street-Release:</dt><dd>".$streetrel["day"]." ".$streetrel["mon"]." ".$streetrel["year"]."</dd>
				<dt>Casting:</dt><dd><ul id=\"castingedit\" class=\"editlist\">";
					
					foreach($casting as $ca) {
						echo"<li><a href=\"#\"><img src=\"../images/icon_delete.gif\" alt=\"L&ouml;schen\" style=\"vertical-align:middle;\" /></a> <a href=\"show.php?module=actor&amp;actor=".htmlentities(stripslashes($ca->actor_id))."\">".htmlentities(stripslashes($ca->actor_name))."</a></li>";
					}
					
					echo"</ul>
					<textarea name=\"casting\" id=\"casting\"></textarea><br /><em>Beispiel: Schauspieler=Charakter</em></dd>
				</dl>";
				
				echo"<h1>Kopieinformationen</h1>
				<dl class=\"form\">
					<dt>Film-ID:</dt><dd><p>#".htmlentities(stripslashes($movie[0]->movie_id))."</p></dd>
					<dt>Kopieart*:</dt><dd><select name=\"copytype\"><option value=\"0\"".(($movie[0]->movie_copytypeid === NULL)?" selected=\"selected\"":"").">-- bitte w&auml;hlen --</option>";
				
					foreach($copytypes as $ct) {
						echo"<option value=\"".$ct->copytype_id."\"".(($movie[0]->movie_copytypeid == $ct->copytype_id)?" selected=\"selected\"":"").">".htmlentities(stripslashes($ct->copytype_name))."</option>";
					}
				
					echo"</select></dd>
					<dt>Version:</dt><dd><input type=\"text\" class=\"text\" value=\"".htmlentities(stripslashes($movie[0]->movie_version))."\" name=\"version\" /></dd>
					<dt>Bemerkungen:</dt><dd><textarea name=\"notes\">".htmlentities(stripslashes($movie[0]->movie_notes))."</textarea></dd>
					<dt>Sprachen:</dt><dd><ul id=\"languages\"><li>Daten werden gesammelt...</li></ul></dd>";
					
				if(count($subs) > 0) {
					echo"<dt>Untertitel:</dt><dd><ul id=\"subs\">";
					
					foreach($subs as $sub) {
						echo"<li>".$sub->sub_lang."</li>";
					}
					
					echo"</ul></dd>";
				}
				
				echo "<dt>Backup:</dt><dd><select name=\"backup\" onchange=\"javascript:showformfld('codec',this,1);showformfld('rlsname',this,1);\">
					<option value=\"1\"".(($movie[0]->movie_backup == 1)?" selected=\"selected\"":"").">Ja</option>
					<option value=\"0\"".(($movie[0]->movie_backup == 0)?" selected=\"selected\"":"").">Nein</option>
				</select></dd>";
				
				echo"
				<dt id=\"codec_dt\" style=\"display:".(($movie[0]->movie_backup == 1)?"block":"none").";\">Codec:</dt>
				<dd id=\"codec_dd\" style=\"display:".(($movie[0]->movie_backup == 1)?"block":"none").";\"><select name=\"codec\">
					<option value=\"0\"".((empty($movie[0]->movie_codec))?" selected=\"selected\"":"").">-- bitte w&auml;hlen --</option>";
				
				foreach($codecs as $codec) {
					echo"<option value=\"$codec->codec_id\"".(($codec->codec_name == $movie[0]->movie_codec)?" selected=\"selected\"":"").">".htmlentities(stripslashes($codec->codec_name))."</option>";
				}
				
				echo"</select></dd>
				<dt id=\"rlsname_dt\" style=\"display:".(($movie[0]->movie_backup == 1)?"block":"none").";\">Release-Name:</dt><dd id=\"rlsname_dd\" style=\"display:".(($movie[0]->movie_backup == 1)?"block":"none").";\"><input type=\"text\" class=\"text\" name=\"rlsname\" value=\"".htmlentities(stripslashes($movie[0]->movie_rlsname))."\" /></dd>
				<dt>Extras:</dt><dd><select name=\"extra\">";
			
			foreach($extras as $extra) {
				echo"<option value=\"$extra->extra_id\"".(($extra->extra_type == $movie[0]->movie_extra)?" selected=\"selected\"":"").">".htmlentities(stripslashes($extra->extra_type))."</option>";
			}
			
			echo"</select></dd>
				<dt>Eingetragen am:</dt><dd><p>".date('d.m.Y',$movie[0]->movie_entrydate)."</p></dd>
				<dt>Aktiv:</dt><dd>
					<input type=\"radio\" name=\"active\" value=\"1\"".((1 == $movie[0]->movie_active)?" checked=\"checked\"":"")." style=\"width:auto;\" /> Aktiviert 
					<input type=\"radio\" name=\"active\" value=\"0\"".((0 == $movie[0]->movie_active)?" checked=\"checked\"":"")." style=\"width:auto;\" /> Deaktiviert
				</dd>
			</dl>
			
			
			<h1>Bilder</h1>
			<dl>
				<dt>Cover hochladen:</dt><dd><input type=\"file\" name=\"cover\" /></dd>
				<dt>Backdrop hochladen:</dt><dd><input type=\"file\" name=\"backdrop\" /></dd>
				<dt>Backdrop offset:</dt><dd><input type=\"text\" value=\"",(($movie[0]->movie_backdropposy !== NULL)?$movie[0]->movie_backdropposy:""),"\" name=\"backdropoffset\" class=\"text\" style=\"width:60px;\" /> Pixel</dd>
			</dl>
			
			<h1>Trailer &amp; Co.</h1>
			<dl class=\"form\">
				<dt>Neuer Trailer:</dt><dd><input type=\"text\" class=\"text\" id=\"trailerlink\" /> <input type=\"submit\" class=\"submit\" value=\"Hinzuf&uuml;gen\" onclick=\"movie_insertTrailer('",mysql_real_escape_string(strip_tags($_GET["movie"])),"'); return false;\" /></dd>
				<dt>Trailer:</dt><dd><ul id=\"trailers\" class=\"editlist\"></ul></dd>
				<dt>&nbsp;</dt><dd><input type=\"submit\" class=\"submit\" name=\"save\" value=\"Speichern\" /> <input type=\"reset\" class=\"reset\" value=\"Zur&uuml;cksetzen\" /></dd>
			</dl>
		</div>
		</form>";
	} else { echo"Film gibt es nicht!"; }
	
	require_once(ABSPATH . "overall_footer.php");
}



/*
 * edit_movielang()
 */
function edit_movie_getlangs() {
	$conn = new mySQL();
	
	$afs = $conn->select("SELECT af_name
								,af_canals
								,af_id
							FROM ".DB_TBLPRE."audioformat
						ORDER BY af_name,af_canals");


	$langs = $conn->select("SELECT lang_id
								  ,lang_name
								  ,lang_iso
								  ,af_name
								  ,af_canals
								  ,af_id
							FROM ".DB_TBLPRE."movielang ml
							JOIN ".DB_TBLPRE."language la ON la.lang_id = ml.movielang_langidfs
							JOIN ".DB_TBLPRE."audioformat af ON af.af_id = ml.movielang_afidfs
							WHERE ml.movielang_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'
							ORDER BY lang_name,af_name");
		
	if(count($langs) > 0) {	
		$i = 1;
		foreach($langs as $lang) {
			echo"<li><input type=\"text\" class=\"text\" value=\"".htmlentities(stripslashes($lang->lang_name))."\" autocomplete=\"off\" name=\"lang[]\" id=\"lang$i\" style=\"width:150px;\" />
			<div id=\"lang".$i."update\" class=\"autosel\" style=\"display:none;\"></div>
			<script type=\"text/javascript\" language=\"javascript\" charset=\"utf-8\">
			// <![CDATA[
			  new Ajax.Autocompleter('lang".$i."','lang".$i."update','ajax.php',{
				paramName: \"value\",
				minChars: 2,
				indicator: 'indicator_lang$i',
				parameters: 'module=get_languages'});
			// ]]>
			</script>
			<select name=\"af[]\" style=\"width:auto;\">";
			
			foreach($afs as $af) {
				echo"<option value=\"".$af->af_id."\"".(($af->af_name == $lang->af_name && $af->af_canals == $lang->af_canals)?" selected=\"selected\"":"").">".$af->af_name." ".$af->af_canals."</option>";
			}
			
			echo"</select> <a href=\"javascript:movie_dellang('".mysql_real_escape_string(strip_tags($_GET["movie"]))."','".$lang->lang_id."','".$lang->af_id."','".strip_tags($_GET["addlangs"])."');\" title=\"".$lang->lang_name." ".$lang->af_name." ".$lang->af_canals." l&ouml;schen\"><img src=\"../images/icon_delete.gif\" alt=\"L&ouml;schen\" /></a><span id=\"indicator_lang$i\" style=\"display: none\">
			  <img src=\"../images/icon_loader.gif\" alt=\"Working...\" />
			</span></li>";
			$i++;
		}
		
		for($j=0; $j < $_GET["addlangs"]; $j++) {
			echo"<li><input type=\"text\" autocomplete=\"off\" class=\"text\" name=\"lang[]\" id=\"lang$i\" style=\"width:150px;\" />
			<div id=\"lang".$i."update\" class=\"autosel\" style=\"display:none;\"></div>
			<script type=\"text/javascript\" language=\"javascript\" charset=\"utf-8\">
			// <![CDATA[
			  new Ajax.Autocompleter('lang".$i."','lang".$i."update','ajax.php',{
				paramName: \"value\",
				minChars: 2,
				indicator: 'indicator_lang$i',
				parameters: 'module=get_languages'});
			// ]]>
			</script>
			
			<select name=\"af[]\" style=\"width:auto;\"><option value=\"0\">--</option>";
			
			foreach($afs as $af) {
				echo"<option value=\"".$af->af_id."\">".$af->af_name." ".$af->af_canals."</option>";
			}
			echo"</select><span id=\"indicator_lang$i\" style=\"display: none\">
			  <img src=\"../images/icon_loader.gif\" alt=\"Working...\" />
			</span></li>";
			$i++;
		}
		
		echo"<li><a href=\"javascript:movie_getlangs('".strip_tags($_GET["movie"])."','".(strip_tags($_GET["addlangs"])+1)."');\">Sprache hinzuf&uuml;gen</a></li>";
	} else { 
		echo"<li style=\"height:30px; line-height:24px;\"><a href=\"javascript:new_getlangs(1);\">Sprache hinzuf&uuml;gen</a></li>";
	}
}



/*
 * edit_movie_dellang()
 */
function edit_movie_dellang() {
	$conn = new mySQL();
	
	$dellang = $conn->select("DELETE FROM ".DB_TBLPRE."movielang 
							 		WHERE movielang_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movieid"]))."'
									  AND movielang_langidfs = '".mysql_real_escape_string(strip_tags($_GET["langid"]))."'
									  AND movielang_afidfs = '".mysql_real_escape_string(strip_tags($_GET["afid"]))."'");
	
	echo"Gelscht <pre>"; print_r($dellang); echo"</pre>";
}

?>