function newest_movies(number) {
	new Ajax.Updater('newest_content', 'top.php', { method: 'post',parameters: {module: "newest_movies", show: number} });
}

function coming_movies(number) {
	new Ajax.Updater('coming_content', 'top.php', { method: 'post',parameters: {module: "coming_movies", show: number} });
}

function get_comments(id) {
	new Ajax.Updater('allcomments', scriptUrl + 'comment.php', { method: 'post',parameters: {module: "get_comments", movieid: id} });
}

function insert_comment(id) {
	if($('comment').getValue() != '') {
		new Ajax.Request('comment.php', { 
			 method: 'post'
			,parameters: {module: "insert_comment", movieid: id, comment: $('comment').getValue() }
			,onSuccess: function(transport) { 
				get_comments(id); 
				$('comment').setValue('');
				$('comment').blur();
			}
		});
	} else {
		alert("Bitte einen Kommentar angeben bevor du ihn absendest!");
	}
}


function genres_get() {
	new Ajax.Updater('genresdiv', 'genres.php', { method: 'post',parameters: {module: "get", genrekey: $("genrekey").getValue()} });
}

function genres_save() {
	//alert(Form.getElements("genres"));
	new Ajax.Updater('genretest', 'genres.php', { method: 'post',parameters: {module: "save", genres: Form.getElements("genres") } });
}

function do_comment(schalter) {
	if(schalter == 1) {
		$("comment").style.color = '#000000';
		$("comment").innerHTML = '';
		$("comment_submit").style.display = 'inline';
	} else {
		//alert("Text: \"" + $("comment").getValue() + "\"");
		if($("comment").getValue() == '') {
			$("comment").style.color = '#777777';
			$("comment").innerHTML = 'Einen Kommentar schreiben...';
			$("comment_submit").style.display = 'none';
		}
	}
}

/*
 * ARTICLE
 */
function article_update() {
	//alert("Cat: " + $("category").getValue() + "\nTitel: " + $("title").getValue() + "\nArt-ID: " + $("articleid").getValue() + "\nText: " + $("article").getValue() + "\nEinleitung: " + $("combination").getValue());// encodeURIComponent()
	new Ajax.Updater('message', 'articlesubmit.php', {method: 'post',parameters: {module: 'update', category: $("category").getValue(), title: escape($("title").getValue()), combination: escape($("combination").getValue()), article: escape($("article").getValue()), articleid: $("articleid").getValue()}});
}

function article_entry() {
	//alert("Cat: " + $("category").getValue() + "\nTitel: " + $("title").getValue() + "\nText: " + $("article").getValue() + "\nEinleitung: " + $("combination").getValue());// encodeURIComponent()
	new Ajax.Updater('message', 'articlesubmit.php', {method: 'post',parameters: {module: 'entry', category: $("category").getValue(), title: escape($("title").getValue()), combination: escape($("combination").getValue()), article: escape($("article").getValue())}});
}

function article_entrycat() {
	new Ajax.Updater('message', 'articlesubmit.php', {method: 'post',parameters: {module: 'entrycat', catname: escape($("catname").getValue())}});
}

function article_deletecat(catid) {
	new Ajax.Updater('message', 'articlesubmit.php', {method: 'post',parameters: {module: 'deletecat', category: catid}});
}


/*
 * ADMINISTRATION
 */
function showformfld(name,getvalue,showvalue) {
	if($(getvalue).getValue() == showvalue) {
		$(name + "_dt").style.display = "block";
		$(name + "_dd").style.display = "block";
	} else {
		$(name + "_dt").style.display = "none";
		$(name + "_dd").style.display = "none";
	}
}

function movie_getlangs(movieid,addlangs) {
	new Ajax.Updater('languages', 'edit.php', {evalScripts: true, method: 'get',parameters: {module: 'movie_getlangs', movie: movieid, addlangs: addlangs}});
}

function movie_gettrailers(movieid) {
	new Ajax.Updater('trailers', 'ajax.php', {evalScripts: true, method: 'post',parameters: {module: 'get_trailers', movie: movieid}});
}

function movie_insertTrailer(movieid) {
	if($('trailerlink').getValue() != "") {
		new Ajax.Request('ajax.php', {
			method: 'post',
			parameters: {module: 'insert_trailer', movie: movieid, trailerurl: $('trailerlink').getValue()},
			onSuccess: function(e) {
				movie_gettrailers(movieid);
			}
		});
	}
}

function movie_dellang(movieid,langid,afid,addlangs) {
	new Ajax.Request('edit.php', {method: 'get',parameters: {module: 'movie_dellang', movieid: movieid, langid: langid, afid: afid}});
	movie_getlangs(movieid,addlangs);
}

addedlangs = 0;

function new_getlangs() {
	addedlangs++;
	
	new Ajax.Updater('languages', 'new.php', {evalScripts: true, method: 'get',parameters: {module: 'movie_getlangs', addlangs: addedlangs},insertion: 'before'});
}

function schliessen () {
	if (opener && opener.closed!=1) {
	opener.top.location.reload();
	self.close();
	}
}










function formValidating(form) {
	var returner = true;
	
	function thatswrong(id) {
		$(id).style.border = "1px solid #cc0000";
		$(id).style.backgroundColor = "#ffcccc";
		//$("form_title").style.color = "#ffffff";
		returner = false;
	}
	
	function thatsright(id) {
		$(id).style.border = "1px solid #bdc7d8";
		$(id).style.backgroundColor = "#ffffff";
		//$("form_title").style.color = "#ffffff";
		returner = true;
	}
	
	
	
	if($("form_title").getValue().length < 3) {
		thatswrong("form_title");
	} else {
		thatsright("form_title");
	}
	
	if($("form_description").getValue().length < 3) {
		thatswrong("form_description");
	} else {
		thatsright("form_description");
	}
	
	if(isNaN($("form_length").getValue()) || $("form_length").getValue().length < 2) {
		//alert("wrooongi! = " + $("form_length").getValue());
		thatswrong("form_length");
	} else {
		//alert("korrekto! = " + $("form_length").getValue());
		thatsright("form_length");
	}
	
	if($("form_ar").getValue() == -1) {
		thatswrong("form_ar");
	} else {
		thatsright("form_ar");
	}
	
	if($("form_color").getValue() == -1) {
		thatswrong("form_color");
	} else {
		thatsright("form_color");
	}
	
	if($("genres").getValue().length < 2) {
		thatswrong("genres");
	} else {
		thatsright("genres");
	}
	
	if($("form_age").getValue() == -1) {
		thatswrong("form_age");
	} else {
		thatsright("form_age");
	}
	
	if($("form_copytype").getValue() == -1) {
		thatswrong("form_copytype");
	} else {
		thatsright("form_copytype");
	}
	
	if($("form_backup").getValue() == -1) {
		thatswrong("form_backup");
	} else {
		thatsright("form_backup");
	}
	
	if($("lang1").getValue().length < 3 && $("lang2").getValue().length < 3) {
		thatswrong("lang1");
	} else {
		thatsright("lang1");
	}
	
	if($("af1").getValue().length < 3 && $("af2").getValue().length < 3) {
		thatswrong("af1");
	} else {
		thatsright("af1");
	}
	
	if($("form_extras").getValue() == -1) {
		thatswrong("form_extras");
	} else {
		thatsright("form_extras");
	}
	
	if(!returner) {
		alert('Es wurden nicht alle Felder ausgefllt.');
	}
	
	return returner;
}
