<?php

error_reporting(E_ALL);

require_once("config.php");

require_once(ABSPATH."includes/mysql.class.php");

$header_title = "Suchresultate: ".$_GET["q"];
require_once("overall_header.php");

echo'<div id="movie_header" style="background-image:url(\'', SCRIPT_URL ,'images/backdrop_none.jpg\');">
			<div id="movie_mainheader">
				<strong>Suchresultate</strong>
				<em>Unten findest du die Resultate deiner Suchanfrage aufgelistet. Es wird die Film- und Schaupielerdatenbank nach deinem Suchbegriff durchsucht.</em>
			</div>
		</div>
		<div id="content">
			<form method="get" action="search.php" style="padding-bottom:20px;">
				<input type="text" name="q" value="',((isset($_GET["q"]))?$_GET["q"]:""),'" class="text" style="width:250px" /> <input type="submit" value="Suchen" class="submit" />
			</form>';

			if(strlen($_GET["q"]) >= 3) {
				$conn = new mySQL();
				
				/* Filme */
				$getresults = $conn->select("SELECT movie_id
												   ,movie_title
												   ,movie_cinreldate 
											 FROM ".DB_TBLPRE."movie 
											 WHERE movie_title LIKE '%".mysql_real_escape_string(strip_tags($_GET["q"]))."%' 
												OR movie_alttitle LIKE '%".mysql_real_escape_string(strip_tags($_GET["q"]))."%' 
										  ORDER BY movie_title");
				
				echo'<h1>Filme (',count($getresults),')</h1>';
				
				if(count($getresults) > 0) {
					echo'<ul class="movielist">';
					
					foreach($getresults as $r) {
						echo "<li><em>$r->movie_id</em> <a href=\"show.php?module=movie&amp;movie=$r->movie_id\">",htmlentities(stripslashes($r->movie_title))," (",date('Y',$r->movie_cinreldate),")</a></li>";
					}
					
					echo'</ul>';
				} else {
					echo"<p><em>Es gibt keine &Uuml;bereinstimmungen f&uuml;r den Suchbegriff <strong>",strip_tags($_GET["q"]),"</strong>.</em></p>";
				}
				
				/* Schauspieler */
				$getactresults = $conn->select("SELECT actor_id
													  ,actor_name
												  FROM ".DB_TBLPRE."actor
												 WHERE actor_name LIKE '%".mysql_real_escape_string(strip_tags($_GET["q"]))."%' 
											  ORDER BY actor_name");
				
				echo"<h1>Schauspieler (",count($getactresults),")</h1>";
				
				if(count($getactresults) > 0) {
					echo'<ul class="movielist">';
					
					foreach($getactresults as $a) {
						echo "<li><a href=\"show.php?module=actor&amp;actor=$a->actor_id\">",htmlentities(stripslashes($a->actor_name)),"</a></li>";
					}
					
					echo'</ul>';
				} else {
					echo"<p><em>Es gibt keine &Uuml;bereinstimmungen f&uuml;r den Suchbegriff <strong>",strip_tags($_GET["q"]),"</strong>.</em></p>";
				}
				
			} else {
				echo'<p>Der Suchbegriff muss mindestens 3 Zeichen lang sein.</p>';
			}

		echo'</div>';

require_once("overall_footer.php");

?>